<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/default_dune_plugin.php';
require_once 'lib/text_utils.php';
require_once 'lib/utils.php';

require_once 'plugin_config.php';
require_once 'messages.php';

require_once 'tv_fav_channels_screen.php';
require_once 'tv_recycle_bin_screen.php';
require_once 'tv_channels_screen.php';
require_once 'tv_groups_screen.php';
require_once 'home_tv.php';
require_once 'settings_dialog.php';
require_once 'sorting_dialog.php';

///////////////////////////////////////////////////////////////////////////

class HomeTvPlugin extends DefaultDunePlugin
{

    public function __construct()
    {
        $this->tv = new HomeTv();

        $this->add_screen(new TvGroupsScreen($this->tv));
        $this->add_screen(new TvChannelsScreen($this->tv));
        $this->add_screen(new TvFavChannelsScreen($this->tv));
        $this->add_screen(new TvRecycleBinScreen($this->tv));
    }
}

?>
